<template>
  <div id="subscribe" class="background-primary text-white">
    <div
      class="container mx-auto flex flex-col-reverse md:flex-row items-center justify-center md:justify-between h-full"
    >
      <div class="text-center md:text-left px-4">
        <h1 class="pt-4">
          Inter
          <vue-typer
            class="text-change"
            :repeat="0"
            :pre-erase-delay="2000"
            :text="change"
          ></vue-typer>
        </h1>
        <span class="py-4">
          Dias 9 e 10 de Novembro
        </span>
        <h2 class="py-4">
          Participe do maior hackathon universitário do Brasil!
        </h2>
        <div class="py-4">
          <button
            class="bg-transparent text-white py-2 px-4 border border-white rounded"
          >
            <a
              href="https://uclab.xyz/interhack-rules"
              target="_blank"
              rel="noopener noreferrer"
              class="text-white"
              >Regulamento</a
            >
          </button>
        </div>
      </div>

      <img
        src="~/assets/sticker-interhack.svg"
        class="logo mx-4"
        alt="Logo do Interhack"
      />
    </div>
  </div>
</template>

<script>
export default {
  data: () => {
    return {
      change: ["-Cursos", "-Campi", "-Disciplinar", "Hack"]
    };
  }
};
</script>

<style scoped>
.background-primary {
  background-color: config("colors.primary");
  height: 100vh;
  box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.25);
  position: relative;
}

.logo {
  width: 100%;
  max-width: 300px;
}

h1 {
  font-size: 32px;
}

h2 {
  font-size: 18px;
}

a {
  text-decoration: none;
}

.text-change {
  position: relative;
  left: -0.5rem;
}

:focus {
  outline: 0px;
}

@media (min-width: 768px) {
  h1 {
    font-size: 48px;
  }

  h2 {
    font-size: 24px;
  }

  .text-change {
    left: -0.8rem;
  }
}
</style>
